> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Template Categories

> Returns a list of checklist categories for the current workspace.



## OpenAPI

````yaml GET /api/v1/task/checklist-categories
openapi: 3.1.0
info:
  title: Xenia Team API - Get Template Categories
  version: 1.0.0
  description: API to fetch checklist categories available in the workspace.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/checklist-categories:
    get:
      tags:
        - Checklist
      summary: Get Checklist Categories
      description: Returns a list of checklist categories for the current workspace.
      parameters:
        - in: header
          name: workspace-id
          required: true
          schema:
            type: string
            format: uuid
          description: Workspace ID for which checklist categories are fetched
      responses:
        '200':
          description: List of checklist categories
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ChecklistCategory'
                  meta:
                    type: object
              examples:
                Checklist Categories:
                  value:
                    data:
                      - id: 8e1bb561-3a5f-4039-b20c-f0da35dbef1a
                        name: Environmental, Health & Safety
                        description: >-
                          Manage inspections, audits, document control,
                          incidents and training
                        isActive: true
                        isOrgCategory: true
                        CreatedBy: null
                        UpdatedBy: null
                        createdAt: '2022-10-06T04:29:11.947Z'
                        updatedAt: '2024-04-22T10:15:06.050Z'
                      - id: b99f5351-fba8-43c7-9dc9-fc25a1f77f6b
                        name: Multi-Site/Unit Operations
                        description: >-
                          Streamline consistency, operational controls and
                          granular reporting across multiple locations
                        isActive: true
                        isOrgCategory: true
                        CreatedBy: null
                        UpdatedBy: null
                        createdAt: '2022-10-19T05:22:21.334Z'
                        updatedAt: '2024-04-22T10:15:06.050Z'
                    meta: {}
        '400':
          description: Bad Request - Invalid workspace ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access categories.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  schemas:
    ChecklistCategory:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        isActive:
          type: boolean
        isOrgCategory:
          type: boolean
        CreatedBy:
          type:
            - string
            - 'null'
        UpdatedBy:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - description
        - isActive
        - isOrgCategory
        - createdAt
        - updatedAt
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````